# 简介
- **Kylin-Code**：openKylin社区版本IDE，主要支持X86架构；**Kylin-IDE**：面向银河麒麟操作系统V10的IDE产品，支持X86、ARM、LoongArch架构。目前，Kylin-Code和Kylin-IDE同步迭代开发中，功能基本一致，都接入了OpenVSX插件市场。Kylin-IDE现阶段版本也会在[openKylin社区发布](https://gitee.com/openkylin/extensions-repo)，欢迎大家试用反馈。
- 组成结构包括IDE基础平台、插件、插件仓库等内容，目标是让用户在openKylin或银河麒麟操作系统上便捷地开发软件，目前正在迭代开发中。
- 最新版本IDE基础平台和插件获取地址：https://gitee.com/openkylin/extensions-repo/tree/master
- 使用场景
	* 使用场景一：简称桌面版IDE，在单台台式机上开发程序。这种场景下，通常使用桌面版IDE基础平台+插件的形式进行开发。这种场景下，目前在86架构、openKylin操作系统和X86、ARM、LoongArch架构、银河麒麟桌面操作系统V10 SP1(2203)上做了基本测试
	* 使用场景二：简称远程开发，提供类似微软闭源插件remote-ssh的开发方式，在一台机器上使用插件或浏览器作为客户端，通过客户端在远程机器上部署一个IDE基础平台服务，客户端和服务端之间利用ssh连接进行通信。这种场景目前在86架构、openKylin操作系统和X86、ARM、LoongArch架构、银河麒麟桌面操作系统V10 SP1(2203)、银河麒麟服务器操作系统V10 SP3上做了基本测试
- IDE基础平台基于开源项目Code-OSS（1.68.0），默认接入OpenVSX插件商店。我们适配、开发的插件会上传至OpenVSX插件商店，可以通过IDE基础平台定制的插件分类搜索菜单检索到我们的插件；也会上传至openKylin社区的extensions-repo中。
## 安装
- 桌面版IDE
    ```sh
    sudo  dpkg -i <file>.deb
    ```
- 远程开发
	```sh
    在桌面版IDE上安装远程开发插件（remote-dev），按照插件提示下载配置服务端
    ```
## 启动
- 桌面版IDE
	* 开始菜单启动
	 
		用户可通过点击操作系统图形界面左下角的开始菜单，选择Kylin-IDE(Kylin-Code)图标，或搜索并选择Kylin-IDE(Kylin-Code)，以启动软件。

	* 命令行启动

		打开一个系统终端，输入“kylin-ide”(或者“kylin-code”)，以启动软件。以root用户身份启动时，输入“kylin-ide --user-data-dir=xxx”，xxx表示一个已经存在的临时工作目录。
- 远程开发
	*  在桌面版IDE上安装远程开发插件（remote-dev），按照插件提示下载配置服务端，按插件提示进行远程连接，详见远程开发章节。
## 停止和挂起
点击IDE图形界面右上方的最小化按钮，可将图形界面最小化。点击图形界面右上方的❌号按钮，可关闭图形界面。
## 卸载
- 桌面版IDE
    ```sh
	//卸载kylin-ide命令如下:
    sudo dpkg -r kylin-ide

	//卸载kylin-code命令如下：
	sudo dpkg -r kylin-code
    ```
- 远程开发
	
	卸载远程开发插件，服务端卸载删除方法见远程开发章节。