# 如何检索和安装插件

  - [检索插件](#检索插件)
  - [安装插件](#安装插件)
    - [通过插件商店安装](#通过插件商店安装)
    - [安装插件打包文件vsix](#安装插件打包文件vsix)
    - [通过名利命令行安装](#通过名利命令行安装)

## 检索插件
IDE软件定义了通过IDE基础平台定制的插件分类搜索菜单检索到我们的插件，通过这些分类可以检索插件商店的插件。在插件页面中，点击侧边栏顶部“筛选”按钮，选择Kylin-IDE（KylinCode）插件分类，会按照分类搜索插件市场中KylinIDETeam发布的插件。

![检索插件](./resources/useExtensions/extension-classification.png)

## 安装插件

### 通过插件商店安装
当搜索到要安装的插件，点击搜索列表和插件详情页面的“安装”按钮，就会安装该插件。
![通过插件商店安装](./resources/useExtensions/extensionInstall.PNG)

### 安装插件打包文件vsix
用户可以通过使用“扩展视图”更多菜单中下拉列表中的"从 VSIX 安装"命令，弹出的文件选择器窗口中指向“.vsix”文件，来安装插件。

![安装插件打包文件](./resources/useExtensions/installVisx.gif)

### 通过终端命令行安装
用户打开系统终端或者IDE基础平台终端，输入命令来安装vsix文件。例如myextension.vsix这个插件在当前目录下，可以使用如下命令进行安装。

如果是kylin-ide，命令如下：
```
kylin-ide --install-extension myextension.vsix
```

如果是kylin-code，命令如下：
```
kylin-code --install-extension myextension.vsix
```
