# 打包功能使用说明
## 1、对应插件安装

### 1.1.1 通过插件筛选器，找到 Kylin Project Manager 插件

![图1-1](resources/project-manager/pm-link.png "插件筛选项目管理")

点击安装进行插件安装

- 搜索到相应的插件;

![图1-2](resources/project-manager/pm-install-1.png "项目管理安装")

![图1-3](resources/project-manager/pm-install-2.png "项目管理安装")

- 完成安装。
- 如果是版本升级则需要重新加载主程序插件才生效，请根据提示操作完成安装。

![图1-4](resources/project-manager/pm-installed-1.png "项目管理已安装")

![图1-5](resources/project-manager/pm-installed-2.png "项目管理已安装")

## 2、 Rpm/Deb打包功能使用方法  


### 2.1、 依赖安装

1.依赖安装

- 桌面操作系统依赖安装执行下面的命令

  sudo apt install rpm  (桌面操作系统一般是Debian系统，默认安装dpkg包管理。需注意若此时源里不支持安装rpm时，rpm打包功能无法正常使用，需要用户自行通过离线安装包进行安装rpm及其所需依赖包)

- 服务器操作系统依赖安装执行下面的命令

  sudo yum install dpkg  (服务器操作系统一般是Red Hat系统，默认安装rpm包管理。需注意若此时源里不支持安装dpkg时，dpkg打包功能无法正常使用，需要用户自行通过离线安装包进行安装dpkg及其所需依赖包)
###  2.2、 打包文件准备  
 1.通过IDE打开准备打包的工程文件；  


 2.编译。

### 2.3、 Deb打包    
1.点击侧边栏的项目操作区，显示如下：  

![图1-1](./resources/package/1.png)  

2.点击打包RPM/DEB包按钮，显示如下：  

![图1-2](./resources/package/2.png)  
 
3.点击打包文件选择按钮，显示如下：  

![图1-3](./resources/package/3.png)  

4.填写打包文件的安装路径，eg：/usr/bin  
5.选择需要打包的文件，显示如下：

![图1-4](./resources/package/4.png)

6.如果需要增加一组源文件和目标路径的填写，点击+号即可，所有需要打包的文件填写完毕后直接点击确定按钮；  

7.填写必须的打包字段信息，显示如下：  

![图1-5](./resources/package/5.png)  
 
8.根据需要，点击显示展示更多按钮，显示其他非必填字段信息，显示如下：  

![图1-6](./resources/package/6.png)  

9.点击下一步，根据需要填写其他非必填字段信息，显示如下：

![图1-7](./resources/package/7.png)   

10.点击下一步，根据需要填写安装和卸载脚本信息，显示如下：  

![图1-8](./resources/package/8.png)   
  
11.点击打包按钮，打包成功，显示如下：  

![图1-9](./resources/package/9.png)  

12.如果需要安装成功打包的DEB包，点击安装按钮，输入密码，显示如下：  

![图1-10](./resources/package/10.png) 
　　 
### 2.4、 Rpm打包  

1.点击打包RPM/DEB包按钮，显示如下：  

![图1-11](./resources/package/2.png)  

2.点击打包类型选择按钮，选择rpm，并填写必填字段信息，显示如下：  

![图1-12](./resources/package/12.png)  

3.根据需要，点击显示展示更多按钮，显示其他非必填字段信息，显示如下：  

![图1-13](./resources/package/13.png)  
  
4.点击下一步，根据需要填写其他非必填字段信息，显示如下：

![图1-14](./resources/package/14.png)  

5.点击下一步，根据需要选择安装文件和其他非必填字段信息，显示如下：  

![图1-15](./resources/package/15.png)  

6.如果需要增加一组源文件和目标路径的填写，点击+号即可，所有需要打包的文件填写完毕后直接点击确定按钮，显示如下：  

![图1-16](./resources/package/16.png) 

7.点击打包按钮，打包成功，显示如下：  

![图1-17](./resources/package/17.png)   

8.如果需要安装成功打包的RPM包，点击安装按钮，输入密码。


## 3、 JAR/WAR打包  
### 3.1、 JAR打包  
1.点击侧边栏的项目操作区，显示如下：  

![图2-1](./resources/package/1.png)  

2.点击打包JAR/WAR包按钮，显示如下：  

![图2-2](./resources/package/18.png)  
 
3.点击选择目录按钮，选择导出JAR包的路径;

4.点击打包按钮，显示如下：  

![图2-3](./resources/package/19.png)  

5.成功导出JAR包，显示如下：  

![图2-4](./resources/package/20.png)  


### 3.2、 WAR打包  
1.点击侧边栏的项目操作区，显示如下：  

![图2-5](./resources/package/1.png)  

2.点击打包JAR/WAR包按钮，显示如下：  

![图2-6](./resources/package/18.png)  
 
3.点击打包类型下拉框，选择WAR包;

4.点击打包按钮，显示如下：  

![图2-7](./resources/package/21.png)  

5.成功构建WAR包，显示如下：  

![图2-8](./resources/package/22.png)  



