
# 死锁检测插件安装使用说明

## 1、插件安装

- 通过插件筛选器，找到 deadlock-detect 插件

![图1-1](./resources/deadlock-detect/dld-link.png "插件筛选项目管理")

- 点击安装

![图1-2](./resources/deadlock-detect/dld-install-1.png "死锁检测安装")

![图1-3](./resources/deadlock-detect/dld-install-2.png "死锁检测安装")

- 完成安装。
- 如果是版本升级则需要重新加载主程序插件才生效，请根据提示操作完成安装。

![图1-4](./resources/deadlock-detect/dld-installed-1.png "死锁检测已安装")

![图1-5](./resources/deadlock-detect/dld-installed-2.png "死锁检测已安装")

## 2、死锁检测插件操作区

- 执行ctrl+shift+p启动命令面板，选择`C/C++/java进程死锁检测`或者在编辑区域点击鼠标右键选择'C/C++/java进程死锁检测'
- 提供C/C++进程本地检测和远程检测功能入口以及java进程检测

![图2-1](./resources/deadlock-detect/dld-operation-1.png "死锁检测操作区")

![图2-2](./resources/deadlock-detect/dld-operation-2.png "死锁检测操作区")

## 3、本地检测

- 点击“本地检测”
- 打开一个终端执行一个C/C++死锁测试程序，并通过top获pidof等命令获取到该死锁测试程序的进程PID。
- 页面内包括：
  - 死锁类型
  - 被检测进程PID输入框
    - 可以通过终端命令获取。
  - 当前系统用户密码输入框
  - “开始检测”按钮
  - 检测结果输出区
- 分别输入进程PID和当前系统用户密码，点击开始检测，成功检测到死锁，并在检测结果输入区内显示“线程死锁关系”和“死锁关系图”

![图3-1](./resources/deadlock-detect/dld-local-operation.png "本地检测")

## 4、远程检测


- 点击“远程检测”
- 已知一个远程主机的IP地址及远程主机的用户名及密码，在远程主机上打开一个终端执行一个C/C++死锁测试程序，并通过top获pidof等命令获取到该死锁测试程序的进程PID。
- 页面内包括：
  - 被检测进程PID输入框
  - 远程主机IP地址输入框
  - 远程用户账号输入框
  - 远程用户密码输入框
  - “开始检测”按钮
  - 检测结果输出区
- 分别输入上述各个输入框的内容，点击开始检测，成功检测到死锁，并在检测结果输入区内显示“线程死锁关系”和“死锁关系图”

![图4-1](./resources/deadlock-detect/dld-remote-operation.png "远程检测")

## 5、Java进程死锁检测
- 点击"Java进程死锁检测"
- 打开一个终端执行一个Java死锁测试程序，并通过top获pidof等命令获取到该死锁测试程序的进程PID。
- 页面内包括：
  - 死锁类型
  - 被检测进程PID输入框
    - 可以通过终端命令获取。
  - 当前系统用户密码输入框
  - “开始检测”按钮
  - 检测结果输出区
- 分别输入进程PID和当前系统用户密码，点击开始检测，成功检测到死锁，并在检测结果输入区内显示“线程死锁关系”和“死锁关系图”

![图5-1](./resources/deadlock-detect/dld-java-operation.png "Java进程死锁检测")