# 1、 版本管理工具安装使用说明

## 1.1、 插件安装

1. 通过插件筛选器，点击源代码管理，找到 Gitlens lower version for friendly licence 插件;

   ![图1-1](./resources/git/18.png)

2. 点击安装进行插件安装

- 搜索到相应的插件;

   ![图1-2](./resources/git/19.png)

- 点击插件后，显示如下界面;

   ![图1-3](./resources/git/20.png)

3. 安装完成
- 安装完成后，若提示需要重新加载主程序插件才生效，请根据提示操作完成安装;

   ![图1-4](./resources/git/22.png)

- 安装成功页面如下:
   
   ![图1-5](./resources/git/21.png)

- 用户需要查看插件相应的操作界面，需要点击源代码管理，显示如下;

   ![图1-6](./resources/git/23.png)

## 2.1、 Git配置

1. 依赖安装

- 桌面操作系统依赖安装执行下面的命令

  sudo apt install git

- 服务器操作系统依赖安装执行下面的命令

  sudo yum install git  
  
2. 先配置Git账户，在终端中输入以下命令进行配置，其中用户姓名和邮箱需要根据用户实际账号和邮箱进行修改和配置;

- git config --global user.name "kylin"

  git config --global user.email "kylin@kylinos.cn"

- 配置成功后，家目录下的.gitconfig文件显示如下:

   ![图2-1](./resources/git/24.png)

## 3.1、 功能说明

1. 根据用户需求点击相应菜单进行操作

   ![图3-1](./resources/git/2.png)

### 3.1.1、 克隆菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击克隆菜单,键入代码仓库的URL;

   ![图3-2](./resources/git/3.png)

3. 用户进行代码开发;

4. 点击提交菜单，将更改文件保存并提交;

5. 点击推送按钮;

6. 输入账号和密码。

　　
### 3.1.2、 提交菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下：

   ![图3-3](./resources/git/4.png)

3. 鼠标移动到提交，显示如下：

   ![图3-4](./resources/git/5.png)

4. 根据用户的需求，点击相应的提交菜单；

5. 提交菜单功能用于提交修改文件；

6. 提交已暂存的文件菜单功能表示仅提交暂存的文件；

7. 全部提交菜单功能用于提交所有修改文件；

8. 撤销上次提交菜单功能表示撤销上次提交；

9. 中止变基菜单功能为中止变基；

10. 提交已暂存文件（修改）菜单功能表示将暂存的文件添加到上一次的提交中；

11. 全部提交菜单（修改）菜单功能表示将全部修改的文件添加到上一次的提交中；

12. 提交已暂存文件（已署名）菜单功能表示将暂存的文件以及作者签名添加到提交中；

13. 全部提交菜单（已署名）菜单功能表示将全部修改的文件以及作者签名添加到提交中；

14. 添加贡献者菜单功能用于添加贡献者。
　　
### 3.1.3、 更改菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下:

   ![图3-5](./resources/git/6.png)


3. 鼠标移动到更改，显示如下：

   ![图3-6](./resources/git/7.png)

4. 根据用户的需求，点击相应的菜单;

5. 暂存所有的更改菜单功能用于缓存所有修改文件;

6. 取消暂存的文件菜单功能表示取消暂存的文件;

7. 放弃所有更改菜单功能表示放弃所有的修改文件，并删除。

### 3.1.4、 拉取，推送菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下:      

   ![图3-7](./resources/git/8.png)

3. 鼠标移动到拉取，推送，显示如下:
   
   ![图3-8](./resources/git/9.png)
　　
4. 根据用户的需求，点击相应的菜单;

5. 同步菜单功能用于将远程仓库代码同步到本地;

6. 拉取菜单功能用于将远程仓库的代码拉取到本地;

7. 拉取（变基）菜单功能表示将远程仓库的代码变基拉取到本地;

8. 拉取自...菜单功能表示将选择的远程仓库的代码拉取到本地;

9. 推送菜单功能表示将提交的文件推送到远程仓库;

10. 推送到...菜单功能表示将提交的文件推送到指定远程仓库;

11. 抓取菜单功能用于获取远程仓库的代码更改;

12. 获取（删除）菜单功能用于获取修剪后远程仓库的代码更改;

13. 从所有远程存储库中拉取菜单功能表示从远程仓库的所有分支中获取代码更改。

　　
### 3.1.5、 分支菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下：

   ![图3-9](./resources/git/10.png)
　　 　
3. 鼠标移动到分支，显示如下：

   ![图3-10](./resources/git/11.png)

4. 根据用户的需求，点击相应的菜单;

5. 合并分支菜单功能用于合并分支;

6. 变基分支菜单功能用于将分支代码进行变基合并;

7. 创建分支菜单功能用于创建新的分支;

8. 从现有来源创建新的分支...菜单功能用于在现有的来源基础上创建新的分支;

9. 重命名分支菜单功能用于将分支进行重命名。

### 3.1.6、 远程菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下:

   ![图3-11](./resources/git/12.png)
  　　　
3. 鼠标移动到远程，显示如下:  

   ![图3-12](./resources/git/13.png)  

4. 根据用户的需求，点击相应的菜单;

5. 添加远程存储库菜单功能用于添加远程存储库;

6. 删除远程存储库菜单功能用于删除远程存储库。

　　
### 3.1.7、 存储菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下:  

   ![图3-13](./resources/git/14.png)

3. 鼠标移动到存储，显示如下:  

   ![图3-14](./resources/git/15.png)  

4. 根据用户的需求，点击相应的菜单;

5. 储藏菜单功能用于储藏文件;

6. 储藏（包含未追踪）菜单功能表示将包含未追踪的文件进行储藏;

7. 应用最新储藏菜单功能表示将储藏文件应用到当前分支;

8. 应用储藏...菜单功能表示将指定储藏文件应用到当前分支;

9. 弹出最新储藏菜单功能表示将储藏文件应用到当前分支，并删除该储藏文件;

10. 弹出储藏...菜单功能表示将指定储藏文件应用到当前分支，并删除该储藏文件;

11. 删除储藏菜单功能用于删除储藏文件。

　　
### 3.1.8、 标签菜单
1. 打开IDE后，点击侧边栏的或者快捷键ctrl+shift+G，打开源代码管理视图;

2. 点击源代码管理更多菜单，显示如下:

   ![图3-15](./resources/git/16.png)

3. 鼠标移动到标签，显示如下:

   ![图3-16](./resources/git/17.png)

4. 根据用户的需求，点击相应的菜单;

5. 创建标记菜单功能用于创建标签;

6. 删除标签菜单功能用于删除标签.

