
# 离线插件管理插件安装使用说明

## 1、插件安装

- 通过插件筛选器，找到 offline-extensions-manager 插件

![图1-1](resources/offline-extensions-manager/om-search.png "筛选离线插件管理")

- 点击安装

![图1-2](resources/offline-extensions-manager/om-install.png "离线插件管理安装")

- 完成安装，请重新加载主程序插件。

## 2、离线插件管理插件操作区

- 在“帮助”菜单中点击“打开插件离线管理器”
![图2-1](resources/offline-extensions-manager/om-start.png "打开离线插件管理器")
- 主界面包离线插件的导入、检索、信息预览、安装、卸载等功能

![图2-2](resources/offline-extensions-manager/om-operation.png "离线插件主界面")

## 3、离线插件导入

- 点击“设置”按钮
- 在主窗口弹出“设置”页面。
- 点击“导入”按钮，选择离线插件目录，最后点击确定

![图3-1](resources/offline-extensions-manager/om-import.png "导入离线插件")

## 4、离线插件的分类检索

### 4.1、预定义关键字检索插件
Select菜单中关键字和Kylin-Code插件分类关键字大致一致，包括：所有、KylinIDE、C语言支持、C++语言支持、Java语言支持、Go语言支持、Python语言支持、Javascript语言支持、Rust语言支持、C#语言支持、其他编程语言支持、项目创建、编辑、编译、调试、打包、远程开发、性能分析、插件管理器、其他、合作者。其中三个(Rust语言支持、C#语言支持、其他)关键字为离线插件管理器自定义添加。

- 点击Select的“所有”菜单,则显示导入所有插件
- 点击Select的“其他”菜单,则显示导入第三方插件
- 可点击Select下拉菜单中的多个条目，多个条目直接筛选出并集
![图4-1](resources/offline-extensions-manager/om-filter1.png "多个条件筛选")
- 在Select中手动输入关键
![图4-2](resources/offline-extensions-manager/om-filter2.gif "多个条件筛选")

## 5、离线插件信息预览

- 点击表格中的插件条目
![图5-1](resources/offline-extensions-manager/om-preview.gif "多个条件筛选")

## 6、离线插件安装、卸载

### 6.1、插件安装或者卸载
- 点击表格中的插件“+”按钮安装，或者点击“删除”按钮卸载插件
![图6-1](resources/offline-extensions-manager/om-install-ext.png "安装插件")

### 6.2、批量插件安装或者卸载
- 点击表格头中“选择所有”复选框，或者手动勾选表格中复选框
- 点击表格头中的“安装”或者“卸载”按钮，进行批量操作
![图6-2](resources/offline-extensions-manager/om-multi-do.png "安装插件")